Pre-General Availability: 2026-02-23
Import solc Storage Layout, ABI, and Deployed Runtime Bytecode for a Contract Address
post
/v1/contracts/solc/import
Import the ABIs, bytecodes, and storage layouts for the associated contracts compiled using solc.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
abi(required): array
abi
-
address(required): string
Deployed contract address
-
asOf(required): object
asOf
-
bytecode(required): string
Deployed runtime bytecode (0x-hex)
-
layout(required): object
layout
Solidity compiler storage layout JSON (must include storage and types)
Nested Schema : asOf
Type:
Show Source
object-
blockNum(required): string
0x-prefixed hex or decimal
-
timestamp: string
-
txHash: string
Nested Schema : layout
Type:
objectSolidity compiler storage layout JSON (must include storage and types)
Nested Schema : items
Type:
objectExamples
Back to Top
Response
Supported Media Types
- application/json
202 Response
Accepted
Root Schema : schema
Type:
objectAdditional Properties Allowed:
true400 Response
Validation error
Root Schema : ErrorResponse
Type:
Show Source
object-
decodedError: object
DecodedError
-
error: string
Short error summary suitable for display
-
hint: string
Optional guidance that may help resolve the error
-
message: string
Additional error details, when available
-
requestId: string
Client-provided correlation ID echoed in responses
-
upstreamCode: integer
Upstream node error code (if provided by the RPC endpoint)
-
upstreamData: string
Raw upstream error data payload (0x-hex or JSON), if available
Nested Schema : DecodedError
Type:
Show Source
object-
customError: object
customError
Decoded custom error as defined in the contract ABI
-
standardError: object
standardError
Decoded standard Error(string) revert
-
standardPanic: object
standardPanic
Decoded Panic(uint256) revert
Nested Schema : customError
Type:
objectDecoded custom error as defined in the contract ABI
Show Source
Nested Schema : standardError
Type:
objectDecoded standard Error(string) revert
Show Source
-
message: string
Revert message string
-
selector: string
Example:
0x08c379a0
Nested Schema : standardPanic
Type:
objectDecoded Panic(uint256) revert
Show Source
-
code: string
Panic code value (hex or decimal string)
-
meaning: string
Human-readable interpretation of the panic code, when known
-
selector: string
Example:
0x4e487b71
Nested Schema : DecodedArgument
Type:
Show Source
object-
indexed: boolean
Only for event parameters
-
name: string
May be empty if unknown
-
type: string
Canonical ABI type (for example, uint256, address, (uint256,address), uint256[])
-
value:
Normalized JSON value (address lowercase hex, bigints as decimal strings, bytes as 0x-hex)
500 Response
Internal error
Root Schema : ErrorResponse
Type:
Show Source
object-
decodedError: object
DecodedError
-
error: string
Short error summary suitable for display
-
hint: string
Optional guidance that may help resolve the error
-
message: string
Additional error details, when available
-
requestId: string
Client-provided correlation ID echoed in responses
-
upstreamCode: integer
Upstream node error code (if provided by the RPC endpoint)
-
upstreamData: string
Raw upstream error data payload (0x-hex or JSON), if available
Nested Schema : DecodedError
Type:
Show Source
object-
customError: object
customError
Decoded custom error as defined in the contract ABI
-
standardError: object
standardError
Decoded standard Error(string) revert
-
standardPanic: object
standardPanic
Decoded Panic(uint256) revert
Nested Schema : customError
Type:
objectDecoded custom error as defined in the contract ABI
Show Source
Nested Schema : standardError
Type:
objectDecoded standard Error(string) revert
Show Source
-
message: string
Revert message string
-
selector: string
Example:
0x08c379a0
Nested Schema : standardPanic
Type:
objectDecoded Panic(uint256) revert
Show Source
-
code: string
Panic code value (hex or decimal string)
-
meaning: string
Human-readable interpretation of the panic code, when known
-
selector: string
Example:
0x4e487b71
Nested Schema : DecodedArgument
Type:
Show Source
object-
indexed: boolean
Only for event parameters
-
name: string
May be empty if unknown
-
type: string
Canonical ABI type (for example, uint256, address, (uint256,address), uint256[])
-
value:
Normalized JSON value (address lowercase hex, bigints as decimal strings, bytes as 0x-hex)